Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453372 - users cannot login on console, cfengine hangs
Summary: users cannot login on console, cfengine hangs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss_ldap
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 08:17 UTC by bugreports2005
Modified: 2010-04-01 17:20 UTC (History)
1 user (show)

Fixed In Version: 253-13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-01 17:20:02 UTC


Attachments (Terms of Use)

Description bugreports2005 2008-06-30 08:17:00 UTC
RHEL 5.2 and the included nss_ldap-253-12 brought us two issues that disappear
if /lib/libnss_ldap-2.5.so is replaced with the one taken from 5.1.

The first issue is that while users can log on through gdm or ssh, they cannot
login on the console. Or rather, something throws them out the moment they do, I
can see Last login: line and motd flash past as the screen clears and displays a
new login prompt.

Root, with its details stored locally, can log on to console but a local test
user that I created got the same problem as the users in ldap.

The other issue that is probably related - because replacing the library makes
it disappear - is that our cfengine has started to hang with SIGPIPE when doing
locking for its operations. We use cfengine for a lot of things, so this is
hugely inconvenient.

Where ldap appears in our /etc/nsswitch.conf:

passwd:      files ldap
shadow:      files ldap
netgroup:    ldap 

We are also experiencing bug #448016 or something similar (which is fixed by
replacing the library) and #448016 which is not - but still sounds like it could
be related somehow.

Comment 1 bugreports2005 2008-08-04 09:25:27 UTC
This issue is fixed by nss_ldap-253-13.el5_2.1.
I suppose the bug can be closed.

Comment 2 Nalin Dahyabhai 2010-04-01 17:20:02 UTC
Sorry for the delay here.  Closing.


Note You need to log in before you can comment on or make changes to this bug.